Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.alepc.api
Interface PCWriteReport

public interface PCWriteReport

Interface for reports issued when a programming cycle completes an EPC writing operation.

Method Summary
`java.util.List` | `getAccessReports()` Gets the AccessReport objects associated with this PCSpec.
`java.lang.String` | `getApplicationData()` Gets the application data string provided in the PCSpec, if any.
`java.lang.String` | `getCacheName()` Returns the PCSpec's EPC cache name attribute, if any.
`long` | `getCacheSize()` Indicates how many EPC cache entries remain as of when the reporting programming cycle completed.
`long` | `getDate()` Gets the time the report was generated.
`java.net.URI` | `getEPC()` Returns the EPC value that was written to the tag.
`java.util.List` | `getFailedLogicalReaderNames()` Gets the list of logical readers which had some sort of failure during the programming cycle which generated this report.
`java.lang.String` | `getFailureInfo()` Returns additional information about the failure, if available.
`java.util.List` | `getPhysicalReaderNames()` Gets the list of physical readers which were involved in the programming cycle which generated this report.
`java.lang.String` | `getSavantID()` Gets an identifier for the edge server which generated this report.
`java.lang.String` | `getSpecName()` Gets the name of the PCSpec which describes the just-completed programming cycle.
`PCStatus` | `getStatus()` Gives the status of the programming cycle.
`java.lang.String` | `getSuccessfulLogicalReaderName()` Identifies the logical reader that actually performed the successful tag write.
`java.lang.String` | `getSuccessfulPhysicalReaderName()` Identifies the physical reader that actually performed the successful tag write.
`PCTerminationCondition` | `getTerminationCondition()` Gets the condition which terminated the failed programming cycle activation.
`long` | `getTotalMilliseconds()` Gets the total time in milliseconds during which the programming cycle was active.
`int` | `getTotalTrials()` Gets the total number of trials for which the programming cycle was active.
`boolean` | `wasSuccessful()` Tells if the reporting programming cycle succeeded.

Method Detail

### getDate

    public long getDate()

  Gets the time the report was generated.

  Returns:
    A time in milliseconds, as returned from System.currentTimeMillis()

### getSavantID

    public java.lang.String getSavantID()

  Gets an identifier for the edge server which generated this report.

### getSpecName

    public java.lang.String getSpecName()

  Gets the name of the PCSpec which describes the just-completed programming cycle.

### getCacheName

    public java.lang.String getCacheName()

  Returns the PCSpec's EPC cache name attribute, if any.

### getApplicationData

    public java.lang.String getApplicationData()

  Gets the application data string provided in the PCSpec, if any.

### wasSuccessful

    public boolean wasSuccessful()

  Tells if the reporting programming cycle succeeded.

  Returns:
    true for a successful programming cycle, false for a failed one.

### getStatus

    public PCStatus getStatus()

  Gives the status of the programming cycle.

  Note: if the programming cycle was stopped after multiple trials by the occurrence of a stopping condition (stop trigger, trial limit reached, duration limit reached, programming cycle is undefine()d), and if each trial had a different failure reason, then `PCStatus.VERIFY_ERROR` is reported with precedence above `PCStatus.NOT_WRITTEN` which in turn is reported with precedence over `PCStatus.NONE_IN_FIELD`.

### getPhysicalReaderNames

    public java.util.List getPhysicalReaderNames()

  Gets the list of physical readers which were involved in the programming cycle which generated this report.

  Returns:
    a List of strings giving the physical reader names.

### getFailedLogicalReaderNames

    public java.util.List getFailedLogicalReaderNames()

  Gets the list of logical readers which had some sort of failure during the programming cycle which generated this report.

  Returns:
    a List of strings giving the logical reader names.

### getTotalMilliseconds

    public long getTotalMilliseconds()

  Gets the total time in milliseconds during which the programming cycle was active.

### getTotalTrials

    public int getTotalTrials()

  Gets the total number of trials for which the programming cycle was active.

### getCacheSize

    public long getCacheSize()

  Indicates how many EPC cache entries remain as of when the reporting programming cycle completed.

### getEPC

    public java.net.URI getEPC()

  Returns the EPC value that was written to the tag. Returns null if there was a failure.

### getSuccessfulLogicalReaderName

    public java.lang.String getSuccessfulLogicalReaderName()

  Identifies the logical reader that actually performed the successful tag write. Returns null if there was a failure.

### getSuccessfulPhysicalReaderName

    public java.lang.String getSuccessfulPhysicalReaderName()

  Identifies the physical reader that actually performed the successful tag write. Returns null if there was a failure.

### getFailureInfo

    public java.lang.String getFailureInfo()

  Returns additional information about the failure, if available.

  Returns:
    Informative string, if available, or null if no additional information about the failure is available.

### getTerminationCondition

    public PCTerminationCondition getTerminationCondition()

  Gets the condition which terminated the failed programming cycle activation. Null if the programming cycle was successful.

### getAccessReports

    public java.util.List getAccessReports()

  Gets the AccessReport objects associated with this PCSpec. This is only present in PCWriteReports returned from gen2-mode `#PCSpec`s.

  Returns:
    a List of AccessReport objects

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD